Gtk::ListViewText::TextModelColumns Class Reference
Inheritance diagram for Gtk::ListViewText::TextModelColumns:
[legend]

## Public Member Functions

| TextModelColumns (guint columns_count)
| ~TextModelColumns ()
guint | get_num_columns () const
Public Member Functions inherited from Gtk::TreeModelColumnRecord
| TreeModelColumnRecord ()
virtual | ~TreeModelColumnRecord ()
void | add (TreeModelColumnBase& column)
| Adds a TreeModelColumn to this record. More...
unsigned int | size () const
const GType* | types () const

## Public Attributes

Gtk::TreeModelColumn < Glib::ustring >* | m_columns

## Protected Attributes

guint | m_columns_count

## Constructor & Destructor Documentation

Gtk::ListViewText::TextModelColumns::TextModelColumns | ( | guint | columns_count | ) |

Gtk::ListViewText::TextModelColumns::~TextModelColumns | ( |  | ) |

## Member Function Documentation

guint Gtk::ListViewText::TextModelColumns::get_num_columns | ( |  | ) | const

## Member Data Documentation

Gtk::TreeModelColumn<Glib::ustring>* Gtk::ListViewText::TextModelColumns::m_columns

guint Gtk::ListViewText::TextModelColumns::m_columns_count

protected

The documentation for this class was generated from the following file:

- gtkmm/listviewtext.h